Bug 46212 - univention-saml restart hangs in UCS 4.2 -> 4.3 upgrade
univention-saml restart hangs in UCS 4.2 -> 4.3 upgrade
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Jürn Brodersen
Stefan Gohmann
:
Depends on: 45960
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-02 15:35 CET by Jürn Brodersen
Modified: 2018-02-28 13:52 CET (History)
4 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2018-02-02 15:35:46 CET
+++ This bug was initially created as a clone of Bug #45960 +++

The univention-saml service is stopped during the preinst phase using the old init.d script. For some reason the init script hangs. I guess memcached or stunnel4 are already upgraded.
Comment 1 Jürn Brodersen univentionstaff 2018-02-02 16:52:25 CET
The service is stopped in the prerm script from the OLD version.

Possible solutions:
1) Just wait for the default 5 min timeout
2) Stop unvention-saml inside the preup.sh
3) update univention-saml in 4.2-3
Comment 2 Florian Best univentionstaff 2018-02-02 22:51:03 CET
(In reply to Jürn Brodersen from comment #1)
> 2) Stop unvention-saml inside the preup.sh
This might cause conflicts if the update is started in UMC and one is logged in via SAML.
Comment 3 Jürn Brodersen univentionstaff 2018-02-20 18:25:42 CET
UCS 4.2-3:
d3dea910 Restart univention-saml after upgrades to prevent timeouts

UCS 4.3-0:
cab3d1b6 Cleanup daemon start, use dh_installinit
08238a29 Add systemd addon to dh because compat level is set to 9
Comment 4 Stefan Gohmann univentionstaff 2018-02-23 15:42:33 CET
I'll move the bug to 4.2-3-errata since part of it will be released as erratum.
Comment 5 Stefan Gohmann univentionstaff 2018-02-23 16:40:19 CET
Errata Upgrade: OK

Upgrade to UCS 4.3: OK

YAML: OK
Comment 6 Arvid Requate univentionstaff 2018-02-28 13:52:56 CET
<http://errata.software-univention.de/ucs/4.2/309.html>